@media only screen and (max-width: 320px) {
    .footerBodyLeftContainerMobile {
        width: 90%;
        height: fit-content;
        margin-top: 20px;
        margin-bottom: 10px;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column
    }
    .mobileFooter {
        width: 320px;
        height: fit-content
    }
    #footerEmailAddress {
        display: none;
    }
    #footerLogoMobile {
        width: 67.5px
    }
    .copyRightTextMobile {
        color: #ffffff;
        font-family: 'Roboto', sans-serif;
        text-align: center;
        font-weight: 400;
        padding-left: 4%;
        font-size: 13px;
    }
    .footerText2Mobile {
        width: 100%;
        color: #ffffff;
        font-family: 'Roboto', sans-serif;
        text-align: center;
        font-weight: 300;
        margin-top: 3.2%;
        display: flex;
        align-items: center;
        justify-content: left;
        font-size: 13px;
    }
    .footerFooterLeftMobile {
        height: 100%;
        width: 45%;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: row;
        margin-left: 10%;
    }
    .footerFooterRightMobile {
        height: 100%;
        width: 45%;
        display: flex;
        align-items: center;
        justify-content: left;
        flex-direction: row
    }
}

@media only screen and (min-width: 320px) and (max-width: 480px) {
    .mobileFooter {
        width: 100%;
        height: fit-content
    }
    .footerBodyLeftContainerMobile {
        width: 90%;
        height: fit-content;
        margin-top: 20px;
        margin-bottom: 10px;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column
    }
}

@media only screen and (min-width: 320px) and (max-width: 400px) {
    #footerLogoMobile {
        width: 70px
    }
    .copyRightTextMobile {
        color: #ffffff;
        font-family: 'Roboto', sans-serif;
        text-align: center;
        font-weight: 400;
        padding-left: 4%;
        font-size: 14px;
    }
    .footerText2Mobile {
        width: 100%;
        color: #ffffff;
        font-family: 'Roboto', sans-serif;
        text-align: center;
        font-weight: 300;
        margin-top: 3.2%;
        display: flex;
        align-items: center;
        justify-content: left;
        font-size: 14px;
    }
    .footerFooterLeftMobile {
        height: 100%;
        width: 47.5%;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: row;
        margin-left: 7.5%;
    }
    .footerFooterRightMobile {
        height: 100%;
        width: 45%;
        display: flex;
        align-items: center;
        justify-content: left;
        flex-direction: row
    }
}

@media only screen and (min-width: 400px) and (max-width: 480px) {
    #footerLogoMobile {
        width: 75px
    }
    .copyRightTextMobile {
        color: #ffffff;
        font-family: 'Roboto', sans-serif;
        text-align: center;
        font-weight: 400;
        padding-left: 4%;
        font-size: 14px;
    }
    .footerText2Mobile {
        width: 100%;
        color: #ffffff;
        font-family: 'Roboto', sans-serif;
        text-align: center;
        font-weight: 300;
        margin-top: 3.2%;
        display: flex;
        align-items: center;
        justify-content: left;
        font-size: 14px;
    }
    .footerFooterLeftMobile {
        height: 100%;
        width: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: row;
        margin-left: 5%;
    }
    .footerFooterRightMobile {
        height: 100%;
        width: 45%;
        display: flex;
        align-items: center;
        justify-content: left;
        flex-direction: row
    }
}

@media only screen and (max-width: 480px) {
    .footerRestPositionMobile {
        display: flex;
        position: relative;
        align-items: center;
        justify-content: left;
        flex-direction: row;
        height: fit-content;
        width: 55%;
        margin-top: 12px
    }
    .footerLinkMobile {
        color: #ffffff;
        padding: 2%;
        height: 100%;
        width: fit-content
    }
    .footerTextMobile {
        color: #ffffff;
        font-family: 'Roboto', sans-serif;
        text-align: center;
        line-height: 150%;
        font-weight: 200;
        font-size: 87%;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .footerTextBoldMobile {
        color: #ffffff;
        font-family: 'Roboto', sans-serif;
        text-align: center;
        font-size: 90%;
        font-weight: 500;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .footerTextBoldMobile2 {
        color: #ffffff;
        font-family: 'Roboto', sans-serif;
        text-align: left;
        font-size: 105%;
        font-weight: 500;
    }
    .footerText3Mobile {
        color: #ffffff;
        font-family: 'Roboto', sans-serif;
        text-align: left;
        font-weight: 200;
        font-size: 87%;
        margin-bottom: 2.5%;
    }
    .footerText3LinkMobile {
        color: #ffffff;
        font-family: 'Roboto', sans-serif;
        text-align: left;
        font-weight: 200;
        font-size: 87%;
        margin-bottom: 2.5%;
        cursor: default;
    }
    .footerBodyLeftMobile {
        width: 55%;
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column
    }
    .footerBodyRightMobile {
        width: 45%;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column
    }
}

@media only screen and (min-width: 480px) and (max-width: 600px) {
    .footerFooterLeftMobile {
        height: 100%;
        width: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: row;
        margin-left: 5%;
    }
    .footerFooterRightMobile {
        height: 100%;
        width: 45%;
        display: flex;
        align-items: center;
        justify-content: left;
        flex-direction: row
    }
}

@media only screen and (min-width: 600px) and (max-width: 700px) {
    .footerFooterLeftMobile {
        height: 100%;
        width: 47.5%;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: row;
        margin-left: 2.5%;
    }
    .footerFooterRightMobile {
        height: 100%;
        width: 50%;
        display: flex;
        align-items: center;
        justify-content: left;
        flex-direction: row
    }
}

@media only screen and (min-width: 480px) and (max-width: 700px) {
    .footerBodyLeftContainerMobile {
        width: 90%;
        height: fit-content;
        margin-top: 25px;
        margin-bottom: 15px;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column
    }
    .mobileFooter {
        width: 100%;
        height: fit-content
    }
    .footerRestPositionMobile {
        display: flex;
        position: relative;
        align-items: center;
        justify-content: left;
        flex-direction: row;
        height: fit-content;
        width: 60%;
        margin-top: 12px
    }
    #footerLogoMobile {
        width: 82.5px;
    }
    .copyRightTextMobile {
        color: #ffffff;
        font-family: 'Roboto', sans-serif;
        text-align: center;
        font-weight: 400;
        padding-left: 4%;
        font-size: 15px;
    }
    .footerText2Mobile {
        width: 100%;
        color: #ffffff;
        font-family: 'Roboto', sans-serif;
        text-align: center;
        font-weight: 300;
        margin-top: 3.2%;
        display: flex;
        align-items: center;
        justify-content: left;
        font-size: 14.5px;
    }
    .footerLinkMobile {
        color: #ffffff;
        padding: 2%;
        height: 100%;
        width: fit-content
    }
    .footerTextBoldMobile {
        color: #ffffff;
        font-family: 'Roboto', sans-serif;
        text-align: center;
        font-size: 15.5px;
        font-weight: 500;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .footerTextMobile {
        color: #ffffff;
        font-family: 'Roboto', sans-serif;
        text-align: center;
        font-size: 14.5px;
        line-height: 150%;
        font-weight: 200;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .footerTextBoldMobile2 {
        color: #ffffff;
        font-family: 'Roboto', sans-serif;
        text-align: left;
        font-size: 15px;
        font-weight: 500;
    }
    .footerText3Mobile {
        color: #ffffff;
        font-family: 'Roboto', sans-serif;
        text-align: left;
        font-weight: 200;
        font-size: 90%;
        margin-bottom: 2.5%;
    }
    .footerText3LinkMobile {
        color: #ffffff;
        font-family: 'Roboto', sans-serif;
        text-align: left;
        font-weight: 200;
        font-size: 90%;
        margin-bottom: 2.5%;
        cursor: default;
    }
    .footerBodyLeftMobile {
        width: 45%;
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }
    .footerBodyRightMobile {
        width: 55%;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column
    }
}

.footerContactContainer {
    width: fit-content;
    margin-top: 10px;
    height: fit-content;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
}
.footerContactContainer2 {
    width: fit-content;
    margin-top: 5%;
    margin-left: 2.5%;
    margin-right: 2.5%;
    height: fit-content;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row
}
.footerBodyMobile {
    height: fit-content;
    margin-top: 30px;
    margin-bottom: 25px;
    width: 100%;
    display: flex;
    flex-direction: row;
}
.footerHeader {
    height: 70px;
    width: 100%
}
.footerHeaderLineMobile {
    height: 1.25px;
    width: 80%;
    background-color: #ffffff;
    opacity: 0.75;
}
.footerBodyLeftContainer2Mobile {
    width: 90%;
    height: fit-content;
    margin-top: 6%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row
}
.footerRowMobile {
    width: 80%;
    height: max-content;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 3.5%;
    margin-top: 3.5%;
    flex-direction: column
}
.footerRowMobileAfter {
    width: 80%;
    height: max-content;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column
}
.footerTextBoldMobile2Container {
    display: flex;
    align-items: left;
    flex-direction: row;
    height: 100%;
    width: 90%;
    border: none;
    padding: 1%
}
.footerFooterMobile {
    background-color: #A689E1;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 10px;
    margin-bottom: 15px;
    flex-direction: row
}
.footerLogoPositionMobile {
    width: 25%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: right
}
.instagramIconContainerMobile {
    margin-left: 20%;
    margin-right: 20%;
    width: fit-content;
    height: fit-content;
    display: flex;
    align-items: center;
    justify-content: center;
}
.contactsIconContainer {
    width: fit-content;
    height: fit-content;
    margin-right: 5%;
    display: flex;
    align-items: center;
    justify-content: center;
}
footer {
    background-color: #A689E1;
    position: relative;
    height: fit-content;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}
.moreButton {
    display: flex;
    align-items: left;
    flex-direction: row;
    height: 100%;
    width: 100%;
    border: none;
    background-color: #A689E1;
}
.downArrowFooter {
    font-size: 140%;
    width: 10%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center
}
.downArrowFooter:hover {
    cursor: pointer;
}
.downArrowFooter.rotate {
    transform: rotate(180deg)
}
.hiddenFooterContent {
    opacity: 0;
    height: 0;
}
.showFooterContent {
    opacity: 1;
    height: max-content;
    width: 100%;
    padding-left: 5%;
    margin-top: 3%;
    margin-bottom: 3%;
    display: flex;
    flex-direction: column;
}
.footerLogoContainer {
    height: fit-content;
    width: fit-content;
    display: flex;
    align-items: center;
    justify-content: right;
    margin-right: 7.5%;
    margin-top: 4%;
}